# Uses of Interface
org.jsoup.select.NodeVisitor

Packages that use NodeVisitor
Package
Description
org.jsoup.helper
Package containing classes supporting the core jsoup code.
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.select
Packages to support the CSS-style element selector.

## Uses of NodeVisitor in org.jsoup.helper

Classes in org.jsoup.helper that implement NodeVisitor
Modifier and Type
Class
Description
`protected static class`
`W3CDom.W3CBuilder`
Implements the conversion by walking the input.

## Uses of NodeVisitor in org.jsoup.nodes

Methods in org.jsoup.nodes with parameters of type NodeVisitor
Modifier and Type
Method
Description
`Element`
Element.`traverse(NodeVisitor nodeVisitor)`
`Node`
Node.`traverse(NodeVisitor nodeVisitor)`
Perform a depth-first traversal through this node and its descendants.

## Uses of NodeVisitor in org.jsoup.select

Methods in org.jsoup.select with parameters of type NodeVisitor
Modifier and Type
Method
Description
`Elements`
Elements.`traverse(NodeVisitor nodeVisitor)`
Perform a depth-first traversal on each of the selected elements.
`static void`
NodeTraversor.`traverse(NodeVisitor visitor, Node root)`
Start a depth-first traverse of the root and all of its descendants.
`static void`
NodeTraversor.`traverse(NodeVisitor visitor, Elements elements)`
Start a depth-first traverse of all elements.